> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Train Reason Codes

> Returns the carrier's train reason codes grouped by category.



## OpenAPI

````yaml /user-docs/api-reference/work_order.swagger.json post /t/v1/list-train-reason-codes
openapi: 3.0.1
info:
  title: protobuf/arms/work_order.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k-h1.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k-h1.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: WorkOrderService
paths:
  /t/v1/list-train-reason-codes:
    post:
      tags:
        - WorkOrderService
      summary: List Train Reason Codes
      description: Returns the carrier's train reason codes grouped by category.
      operationId: ListTrainReasonCodes
      parameters:
        - description: Carrier ID
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/armsListTrainReasonCodesRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/armsListTrainReasonCodesResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    armsListTrainReasonCodesRequest:
      properties:
        category:
          type: string
      type: object
    armsListTrainReasonCodesResponse:
      properties:
        reasonCodes:
          items:
            $ref: '#/components/schemas/armsTrainReasonCode'
          type: array
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    armsTrainReasonCode:
      properties:
        category:
          type: string
        code:
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````